

# Struct pn\_state\_t



[**ClassList**](annotated.md) **>** [**pn\_state\_t**](structpn__state__t.md)





* `#include <pn_core.h>`





















## Public Attributes

| Type | Name |
| ---: | :--- |
|  uint64\_t | [**fib\_taps**](#variable-fib_taps)  <br> |
|  int | [**kind**](#variable-kind)  <br> |
|  uint64\_t | [**mask**](#variable-mask)  <br> |
|  uint64\_t | [**poly**](#variable-poly)  <br> |
|  uint64\_t | [**reg**](#variable-reg)  <br> |
|  uint64\_t | [**seed**](#variable-seed)  <br> |
|  uint32\_t | [**topshift**](#variable-topshift)  <br> |












































## Public Attributes Documentation




### variable fib\_taps 

```C++
uint64_t pn_state_t::fib_taps;
```




<hr>



### variable kind 

```C++
int pn_state_t::kind;
```




<hr>



### variable mask 

```C++
uint64_t pn_state_t::mask;
```




<hr>



### variable poly 

```C++
uint64_t pn_state_t::poly;
```




<hr>



### variable reg 

```C++
uint64_t pn_state_t::reg;
```




<hr>



### variable seed 

```C++
uint64_t pn_state_t::seed;
```




<hr>



### variable topshift 

```C++
uint32_t pn_state_t::topshift;
```




<hr>

------------------------------
The documentation for this class was generated from the following file `native/inc/pn/pn_core.h`

